import { Command, flags } from '@oclif/command';
import { SSM } from 'aws-sdk';
export default class SearchPS extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        term: flags.IOptionFlag<string | undefined>;
        region: flags.IOptionFlag<string | undefined>;
        'disable-decryption': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'max-results': import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        'no-limit': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        all: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        csv: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        extended: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'no-truncate': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'no-header': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    searchResults: {
        name: string | undefined;
    }[];
    getSearchResults(searchTerm: string | undefined, ssm: SSM, nextToken?: string): Promise<void>;
    promptForParameters(): Promise<{
        parameters: string[];
    }>;
    run(): Promise<void>;
}
