import { Command, flags } from '@oclif/command';
import { SecretsManager } from 'aws-sdk';
export default class SearchSM extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        term: flags.IOptionFlag<string | undefined>;
        region: flags.IOptionFlag<string | undefined>;
        'max-results': import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        'no-limit': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        all: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        csv: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        extended: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'no-truncate': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'no-header': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    searchResults: {
        name: string | undefined;
    }[];
    getSearchResults(searchTerm: string | undefined, sm: SecretsManager, nextToken?: string): Promise<void>;
    promptForSecrets(): Promise<{
        secrets: string[];
    }>;
    run(): Promise<void>;
}
